import {
	baseRequest
} from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/usercollect/` + url, ...arg)

/**
 * 采集人员Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/02 15:40
 **/
export default {
	// 获取采集人员分页
	userCollectPage(data) {
		return request('page', data, 'get')
	},
	// 提交采集人员表单 edit为true时为编辑，默认为新增
	userCollectSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data, 'post')
	},
	// 删除采集人员
	userCollectDelete(data) {
		return request('delete', data)
	},
	// 获取采集人员详情
	userCollectDetail(data) {
		return request('detail', data, 'get')
	}
}
